Subject: Vapor-liquid equilibria calculations

From: Pietro Perseo <[email-masked]>
Date: Tue, 19 Nov 1996 16:17:37 +0100

Dear netters

I develop a software which is able to calculate physico-chemical properties
of pure compounds and/or mixtures and vapor-liquid equilibria (VLE).

I am looking for subroutines or algorithms for VLE calculations for "all the
cases".
i.e. If you know the Temperature ( T) and the liquid phase composition (X)
you need the Pressure   (P) and the vapor phase composition (Y).
	T,X 	--> P,Y
	T,Y	--> P,X
	P,X	--> T,Y
	P,Y	--> T,X

and "flash calculations"  the alimentation composition Z, T, P 	--> X,Y

I realy appreciate all contributions.
I will summarize the answers.

Tanks
*********************************************************
*	Ir. Pietro Perseo				*	
*	EUROLOCIEL s.a./Service de Thermodynamique 	*
*	FACULTE POLYTECHNIQUE DE MONS 			*
*	Boulevard Dolez  31				*
*	B-7000 MONS (BELGIUM)    			*		
*							*
*	E-mail: [email-masked]		*
*	Tel:	+32 65 37 42 08				*
*	Fax:	+32 65 37 43 00				*
*********************************************************